Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
20.04.2021, 23:03:51

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25518
  • Letzte: oli66
Statistiken
  • Beiträge insgesamt: 730063
  • Themen insgesamt: 58896
  • Heute online: 619
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  Upgrade Linux Mint 19.3 auf Linux Mint 20!  (Gelesen 23655 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #150 am: 14.07.2020, 00:11:32 »
Die NVSettings zeigen bei Name: Linux:0
Der TV-Browser (ver. 4.2.1-1) hat es komplett überlebt, allerdings muss ich ihn - wie vorher auch - im Vollbildmodus starten. Wenn ich ihn per Tray-Icon starten lassen, kann ich später schlecht drauf zugreifen. Ich hab hier aber noch ein Prog welches Programme in die Tray ablegt - vielleicht hilft das besser.

Ansonsten klappt bisher alles (virtuelle Maschinen, Drucker, Scanner, Libre Office, usw.)

Einen großen Haken hat die Sache aber (siehe auch meinen Thread mit der spinnenden Grafiktreiberverwaltung -> Link). Den 440er NV-Treiber bekomme ich ja noch per Terminal installiert. Augenscheinlich klappt dann auch alles - bis auf Steam. Der Steam-Launcher will dann einfach nicht mehr. Auch ein Deinstall und Install schafft keine Abhilfe.
Habe schon gehört, das manche Ubuntu 20.04-Anwender dann den Steam mittels Flatpack-Install (größer_gleich 1GB) nehmen.
Keine Ahnung warum bei mir die Grafiktreiberverwaltung spinnt und ein Install im Terminal fehlerfrei abläuft.

Da ich ne Menge Spiele habe (aber in Monat max. vielleicht 1-4 Stunden spiele/je nach Zeit) möchte ich auf Steam (mittels Proton=Valves Winederivat) keinesfalls verzichten. Zusätzlich dazu läuft hier Lutris, welches auch mit dem 440er Treiber läuft, aber wenn ich über Lutris Steam starte, kommt Steam ebenso wenig ans rennen.
Also habe ich wieder auf NV 435 downgegradet/Backup eingespielt.

-volker-

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #151 am: 14.07.2020, 00:21:55 »
...Willst du jetzt immer das neueste haben, ist Manjaro ne Überlegung wert. Die sind mal richtig gut geworden.
Sagen alle, aber ich behaupte das Gegenteil. Hier läuft Manjaro auf 5 PCs und fast alles, wirklich fast alles, was nicht in den offiziellen Repos zu finden ist oder eigens kompiliert wurde, macht nach einem großen Update Stress bzw. meckert über nicht aufzulösende Abhängigkeiten. Will damit sagen: Auch Manjaro tut sich mit großen Updates schwer, wenn man nicht nur Standardanwendungen nutzt.

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #152 am: 14.07.2020, 00:40:07 »
Den 440er NV-Treiber
Der 440er war bei mir installiert und wurde auch wieder neu beim Upgrade installiert. Das Grafik-PPA hatte ich entfernt.

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #153 am: 14.07.2020, 00:53:21 »
Muss nochmals auf meine offene Frage zurückkommen - wie kann ich denn die lange Liste unter "Fremde Pakete entfernen" in der Aktualisierungsverwaltung lt. Posting #132 abarbeiten oder kann ich einfach alle entfernen?
Manche sind ja klar veraltet, aber oft erkenne ich das überhaupt nicht.
Es sind keine eigenen oder manuell eingerichteten Paketquellen enthalten.

Gibt es ansonsten die Möglichkeit, diese nur herabzustufen und nicht zu entfernen (zB per Terminal)?

Nehmen die nur Platz weg oder kann das Probleme geben, wenn ich die stehen lasse?

Mein upgrade ging bis auf diese Sache komplett problemlos und sauber durch - keine Fehlermeldung o.a. und dauerte > 2 Stunden mit 3 mal PW-Eingabeaufforderung.
Edit: habe jetzt nach allen möglichen Anwendungstests bemerkt, dass python-scripte nicht mehr ausgeführt werden. Die Python2 ist zwar nach wie vor in usr/bin vorhanden und (inzwischen) generell python 2.7 bzw. 3.8  aktiv, siehe unten. Hm. Hängt das ev. mit den alten (Fremd)Paketen zusammen - diese werden zum Löschen angezeigt, was Python betrifft:
fremdpaketquellen python
fremdpaketquellen python
Das ist ein Beispiel, wo das python-script einfach nicht mehr ausgeführt wird - auch nach Neuinstallation und auch andere python-scripte nicht:
python script v decoder
python script v decoder

Falls das keinen Zusammenhang hat, was müssten denn für Programme in der Synaptic installiert sein, damit pythonscripte/python2 ausgeführt werden können?
Habe versucht, anstelle von "ausführen" zu öffnen mit verfügbaren Anwendungen python 2.7, python 3.5, python 3.6 oder python 3.8, da öffnet sich nur kurz ein Terminalfenster und schließt sich gleich wieder ..... am Terminal ausgegeben wird bei mir diese als installierte Version: ~ $ python3 -V
Python 3.8.2
sowie ~ $ python2 -V
Python 2.7.18rc1
In der Synaptic "Defekte Pakete reparieren" hatte keinen Effekt. sudo apt-get checkergibt:
~ $ sudo apt-get check
[sudo] Passwort für XXX:               
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Da kommt keine Fehlermeldung.
Den Befehl fix oder sowas habe ich in apt nicht gefunden, nur reinstall. Aber nicht angewendet.
Probleme mit python sind hier schon mehrfach angesprochen worden - welche Reperatur-Optionen gibt es in der Synaptic gui bzw. im Terminal noch - oder ist ev. eine Neuinstall von Python nötig, wie ginge das? Mit reinstall oder Anwendungsverwaltung oder sollte ich die alten "Fremdpakete" erst löschen?  ???
« Letzte Änderung: 14.07.2020, 02:48:17 von Worf »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #154 am: 14.07.2020, 02:11:15 »
Hallo Worf. Ich habe alle Fremden Pakete entfernt. Außer die, die ich installiert habe. Es gab keine Probleme beim Neustart.

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #155 am: 14.07.2020, 07:40:29 »
@Nolan,
Bei der langen Liste von @Worf wird es schwierig die zu bestimmen die er selbst installiert hat, zumal während der Installation von Anwendungen oft weitere Pakete hinzugefügt werden deren Namen in keinem Zusammenhang mit der installierten Anwendung stehen.
« Letzte Änderung: 14.07.2020, 09:53:02 von kuehhe1 »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #156 am: 14.07.2020, 07:53:37 »
Mion @geobart,
ich hatte gepostet unmittelbar nach Upgrade-Ende. Dass der TVBrowser nicht laufen würde,
hier lief TV-Browser zuvor auf LM19.3 und auch direkt nach dem Upgrade zu LM20. Startet, öffnet sich und updatet einwandfrei.Version: 4.2

Plattform:
Linux 5.4.0-40-generic
System:
amd64

Java-Version:
11.0.7
OpenJDK 64-Bit Server VM Ubuntu /usr/lib/jvm/java-11-openjdk-amd64

Standort:
DE,de
Zeitzone:
Mitteleuropäische Normalzeit (+1 Std.)

Copyright (c) 04/2003 von Martin Oberhauser, Til Schneider, Bodo Tasche, René Mach, Michael Keppler unter der GNU General Public License.
This product includes software developed by L2FProd.com (http://www.L2FProd.com/), The Apache Software Foundation (http://www.apache.org/) BEQ Technologies Inc. (http://www.bayequities.com/tech/Products/jreg_key.shtml) and JNativeHook (https://github.com/kwhat/jnativehook)

@VolkerS
Der TV-Browser (ver. 4.2.1-1) hat es komplett überlebt, allerdings muss ich ihn - wie vorher auch - im Vollbildmodus starten.
TV Browser startet hier sowohl minimiert im Tray-Icon als auch im Vollbild. Auch aus dem Tray öffnet er sich problemlos.
« Letzte Änderung: 14.07.2020, 08:29:18 von kuehhe1 »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #157 am: 14.07.2020, 08:38:48 »
...Willst du jetzt immer das neueste haben, ist Manjaro ne Überlegung wert. Die sind mal richtig gut geworden.
Sagen alle, aber ich behaupte das Gegenteil. Hier läuft Manjaro auf 5 PCs und fast alles, wirklich fast alles, was nicht in den offiziellen Repos zu finden ist oder eigens kompiliert wurde, macht nach einem großen Update Stress bzw. meckert über nicht aufzulösende Abhängigkeiten. Will damit sagen: Auch Manjaro tut sich mit großen Updates schwer, wenn man nicht nur Standardanwendungen nutzt.

Ja, ich gebe dir Recht. Ich benutze bei Manjaro nur die offiziellen Repos ohne AUR. Läuft bei mir ja auch nur auf einem Laptop nebenher. Produktiv kann man das aber durchaus nutzen, aber eben nur mit den Paketen, die das Manjaro-Team auch pflegt. Immerhin haben sie deutlich mehr Binärpakete als Arch.

Das es aber beim AUR zu Kompliaktionen kommen kann, ist klar und Manjaro weist auch darauf hin. Es ist kein Arch, sie haben eigene Updatezyklen.

Fremdpakete hingegen sind immer probleamtisch. Kann dir bei Debian auch passieren, wenn du aus dem System ein "Franken-Debian" machst. Nur ist es überschaubarer, da insgesamt weniger Updates kommen. Wenn du aber Testing/Sid fährst, sieht es wieder anders aus.

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #158 am: 14.07.2020, 09:59:50 »
@Worf,
Muss nochmals auf meine offene Frage zurückkommen - wie kann ich denn die lange Liste unter "Fremde Pakete entfernen"
@Worf,
meine Installierten Python Versionen sind:python3 -V
Python 3.8.2

python2 -V
Python 2.7.18rc1

In meiner Liste der zu entfernenden Fremdpakete waren auch Python3.6 Pakete gelistet, die wurden auch in Synaptic als installiert angezeigt aber nicht im Terminal, darum habe ich die Python3.6 Pakete entfernt.

Meine aktuelle Python Übersicht:kuehhe1@HP470:~$ dpkg -l | grep python*
ii  libpython2-stdlib:amd64                       2.7.17-2ubuntu4                       amd64        interactive high-level object-oriented language (Python2)
ii  libpython2.7:amd64                            2.7.18~rc1-2                          amd64        Shared Python runtime library (version 2.7)
ii  libpython2.7-minimal:amd64                    2.7.18~rc1-2                          amd64        Minimal subset of the Python language (version 2.7)
ii  libpython2.7-stdlib:amd64                     2.7.18~rc1-2                          amd64        Interactive high-level object-oriented language (standard library, version 2.7)
ii  libpython3-stdlib:amd64                       3.8.2-0ubuntu2                        amd64        interactive high-level object-oriented language (default python3 version)
rc  libpython3.6-minimal:amd64                    3.6.9-1~18.04ubuntu1                  amd64        Minimal subset of the Python language (version 3.6)
ii  libpython3.8:amd64                            3.8.2-1ubuntu1.1                      amd64        Shared Python runtime library (version 3.8)
ii  libpython3.8-minimal:amd64                    3.8.2-1ubuntu1.1                      amd64        Minimal subset of the Python language (version 3.8)
ii  libpython3.8-stdlib:amd64                     3.8.2-1ubuntu1.1                      amd64        Interactive high-level object-oriented language (standard library, version 3.8)
rc  python                                        2.7.15~rc1-1                          amd64        interactive high-level object-oriented language (default version)
ii  python-apt                                    2.0.0                                 amd64        Python interface to libapt-pkg
ii  python-apt-common                             2.0.0                                 all          Python interface to libapt-pkg (locales)
ii  python-cairo:amd64                            1.16.2-2ubuntu2                       amd64        Python bindings for the Cairo vector graphics library
ii  python-crypto                                 2.6.1-13ubuntu2                       amd64        cryptographic algorithms and protocols for Python
ii  python-dbus                                   1.2.16-1build1                        amd64        simple interprocess messaging system (Python interface)
ii  python-gi                                     3.36.0-1                              amd64        Python 2.x bindings for gobject-introspection libraries
ii  python-gi-cairo                               3.36.0-1                              amd64        Python Cairo bindings for the GObject library
ii  python-gobject-2                              2.28.6-14ubuntu1                      amd64        deprecated static Python bindings for the GObject library
ii  python-lxml:amd64                             4.5.0-1                               amd64        pythonic binding for the libxml2 and libxslt libraries
ii  python-nemo                                   4.6.0+ulyana                          amd64        Python binding for Nemo components
ii  python-pip-whl                                20.0.2-5ubuntu1                       all          Python package installer
ii  python-psutil                                 5.5.1-1ubuntu4                        amd64        module providing convenience functions for managing processes
ii  python-setproctitle:amd64                     1.1.10-1ubuntu1                       amd64        Setproctitle implementation for Python 2
ii  python-six                                    1.14.0-2                              all          Python 2 and 3 compatibility library (Python 2 interface)
ii  python-tinycss2-common                        1.0.2-1                               all          Low-level CSS parser (test data)
ii  python-xdg                                    0.26-1ubuntu1                         all          Python 2 library to access freedesktop.org standards
ii  python-xlib                                   0.23-2build1                          all          interface for Python to the X11 protocol
ii  python2                                       2.7.17-2ubuntu4                       amd64        interactive high-level object-oriented language (Python2 version)
ii  python2-minimal                               2.7.17-2ubuntu4                       amd64        minimal subset of the Python2 language
ii  python2.7                                     2.7.18~rc1-2                          amd64        Interactive high-level object-oriented language (version 2.7)
ii  python2.7-minimal                             2.7.18~rc1-2                          amd64        Minimal subset of the Python language (version 2.7)
ii  python3                                       3.8.2-0ubuntu2                        amd64        interactive high-level object-oriented language (default python3 version)
ii  python3-apport                                2.20.11-0ubuntu27.3                   all          Python 3 library for Apport crash report handling
ii  python3-apt                                   2.0.0                                 amd64        Python 3 interface to libapt-pkg
ii  python3-aptdaemon                             1.1.1+bzr982-0ubuntu32.1              all          Python 3 module for the server and client of aptdaemon
ii  python3-aptdaemon.gtk3widgets                 1.1.1+bzr982-0ubuntu32.1              all          Python 3 GTK+ 3 widgets to run an aptdaemon client
ii  python3-blinker                               1.4+dfsg1-0.3ubuntu1                  all          fast, simple object-to-object and broadcast signaling library
ii  python3-brlapi:amd64                          6.0+dfsg-4ubuntu6                     amd64        Braille display access via BRLTTY - Python3 bindings
ii  python3-bs4                                   4.8.2-1                               all          error-tolerant HTML parser for Python 3
ii  python3-cachetools                            4.0.0-1                               all          extensible memoizing collections and decorators for Python 3
ii  python3-cairo:amd64                           1.16.2-2ubuntu2                       amd64        Python3 bindings for the Cairo vector graphics library
ii  python3-certifi                               2019.11.28-1                          all          root certificates for validating SSL certs and verifying TLS hosts (python3)
ii  python3-cffi-backend                          1.14.0-1build1                        amd64        Foreign Function Interface for Python 3 calling C code - runtime
ii  python3-chardet                               3.0.4-4build1                         all          universal character encoding detector for Python3
ii  python3-commandnotfound                       20.04.2                               all          Python 3 bindings for command-not-found.
ii  python3-configobj                             5.0.6-4                               all          simple but powerful config file reader and writer for Python 3
ii  python3-crypto                                2.6.1-13ubuntu2                       amd64        cryptographic algorithms and protocols for Python 3
ii  python3-cryptography                          2.8-3                                 amd64        Python library exposing cryptographic recipes and primitives (Python 3)
ii  python3-cups                                  1.9.73-3build1                        amd64        Python3 bindings for CUPS
ii  python3-cupshelpers                           1.5.12-0ubuntu1                       all          Python utility modules around the CUPS printing system
ii  python3-dateutil                              2.7.3-3ubuntu1                        all          powerful extensions to the standard Python 3 datetime module
ii  python3-dbus                                  1.2.16-1build1                        amd64        simple interprocess messaging system (Python 3 interface)
ii  python3-dbus.mainloop.pyqt5                   5.14.1+dfsg-3build1                   amd64        D-Bus Qt main loop support for Python 3
ii  python3-debconf                               1.5.73                                all          interact with debconf from Python 3
ii  python3-debian                                0.1.36ubuntu1                         all          Python 3 modules to work with Debian-related data formats
ii  python3-defer                                 1.0.6-2.1                             all          Small framework for asynchronous programming (Python 3)
ii  python3-distro                                1.4.0-1                               all          Linux OS platform information API
ii  python3-distro-info                           0.23ubuntu1                           all          information about distributions' releases (Python 3 module)
ii  python3-distupgrade                           1:20.04.19                            all          manage release upgrades
ii  python3-distutils                             3.8.2-1ubuntu1                        all          distutils package for Python 3.x
ii  python3-dnspython                             1.16.0-1build1                        all          DNS toolkit for Python 3
ii  python3-entrypoints                           0.3-2ubuntu1                          all          Discover and load entry points from installed packages (Python 3)
ii  python3-fasteners                             0.14.1-2                              all          provides useful locks - Python 3.x
ii  python3-future                                0.18.2-2                              all          Clean single-source support for Python 3 and 2 - Python 3.x
ii  python3-gdbm:amd64                            3.8.2-1ubuntu1                        amd64        GNU dbm database support for Python 3.x
ii  python3-gi                                    3.36.0-1                              amd64        Python 3 bindings for gobject-introspection libraries
ii  python3-gi-cairo                              3.36.0-1                              amd64        Python 3 Cairo bindings for the GObject library
ii  python3-google-auth                           1.5.1-2                               all          Google Authentication Library - Python 3.x
ii  python3-google-auth-httplib2                  0.0.3-2                               all          Google Authentication Library: httplib2 transport
ii  python3-googleapi                             1.7.11-3                              all          Google APIs Client Library - Python 3.x
ii  python3-grpcio                                1.16.1-1ubuntu5                       amd64        GRPC system (Python 3)
ii  python3-httplib2                              0.14.0-1ubuntu1                       all          comprehensive HTTP client library written for Python3
ii  python3-icu                                   2.4.2-0ubuntu3                        amd64        Python 3 extension wrapping the ICU C++ API
ii  python3-idna                                  2.8-1                                 all          Python IDNA2008 (RFC 5891) handling (Python 3)
ii  python3-ifaddr                                0.1.6-1                               all          Pure Python implementation for detecting IP addresses
ii  python3-jwt                                   1.7.1-2ubuntu2                        all          Python 3 implementation of JSON Web Token
ii  python3-keyring                               18.0.1-2ubuntu1                       all          store and access your passwords safely - Python 3 version of the package
ii  python3-launchpadlib                          1.10.13-1                             all          Launchpad web services client library (Python 3)
ii  python3-lazr.restfulclient                    0.14.2-2build1                        all          client for lazr.restful-based web services (Python 3)
ii  python3-lazr.uri                              1.0.3-4build1                         all          library for parsing, manipulating, and generating URIs
ii  python3-ldb                                   2:2.0.10-0ubuntu0.20.04.1             amd64        Python 3 bindings for LDB
ii  python3-lib2to3                               3.8.2-1ubuntu1                        all          Interactive high-level object-oriented language (lib2to3)
ii  python3-louis                                 3.12.0-3                              all          Python bindings for liblouis
ii  python3-lxml:amd64                            4.5.0-1                               amd64        pythonic binding for the libxml2 and libxslt libraries
ii  python3-macaroonbakery                        1.3.1-1                               all          Higher-level macaroon operations for Python 3
ii  python3-mako                                  1.1.0+ds1-1ubuntu2                    all          fast and lightweight templating for the Python 3 platform
ii  python3-markupsafe                            1.1.0-1build2                         amd64        HTML/XHTML/XML string library for Python 3
ii  python3-minimal                               3.8.2-0ubuntu2                        amd64        minimal subset of the Python language (default python3 version)
ii  python3-monotonic                             1.5-0ubuntu2                          all          implementation of time.monotonic() - Python 3.x
ii  python3-nacl                                  1.3.0-5                               amd64        Python bindings to libsodium (Python 3)
ii  python3-netifaces                             0.10.4-1ubuntu4                       amd64        portable network interface information - Python 3.x
ii  python3-nose                                  1.3.7-5                               all          test discovery and running for Python3 unittest
ii  python3-oauth2client                          4.1.2-5                               all          OAuth 2.0 client library - Python 3.x
ii  python3-oauthlib                              3.1.0-1ubuntu2                        all          generic, spec-compliant implementation of OAuth for Python3
ii  python3-openssl                               19.0.0-1build1                        all          Python 3 wrapper around the OpenSSL library
ii  python3-pam                                   0.4.2-13.2ubuntu8                     amd64        Python interface to the PAM library
ii  python3-parsedatetime                         2.4-5                                 all          Python 3 module to parse human-readable date/time expressions
ii  python3-parted                                3.11.2-11.1build1                     amd64        Python 3 interface for libparted
ii  python3-pexpect                               4.6.0-1build1                         all          Python 3 module for automating interactive applications
ii  python3-pikepdf                               1.10.3+dfsg-1                         amd64        Python library to read and write PDFs with QPDF
ii  python3-pil:amd64                             7.0.0-4build1                         amd64        Python Imaging Library (Python3)
ii  python3-pip                                   20.0.2-5ubuntu1                       all          Python package installer
ii  python3-pkg-resources                         45.2.0-1                              all          Package Discovery and Resource Access using pkg_resources
ii  python3-problem-report                        2.20.11-0ubuntu27.3                   all          Python 3 library to handle problem reports
ii  python3-protobuf                              3.6.1.3-2ubuntu5                      amd64        Python 3 bindings for protocol buffers
ii  python3-psutil                                5.5.1-1ubuntu4                        amd64        module providing convenience functions for managing processes (Python3)
ii  python3-ptyprocess                            0.6.0-1ubuntu1                        all          Run a subprocess in a pseudo terminal from Python 3
ii  python3-pyasn1                                0.4.2-3build1                         all          ASN.1 library for Python (Python 3 module)
ii  python3-pyasn1-modules                        0.2.1-0.2build1                       all          Collection of protocols modules written in ASN.1 language (Python 3)
ii  python3-pyatspi                               2.36.0-1                              all          Assistive Technology Service Provider Interface - Python3 bindings
ii  python3-pycurl                                7.43.0.2-1ubuntu5                     amd64        Python bindings to libcurl (Python 3)
ii  python3-pyinotify                             0.9.6-1.2ubuntu1                      all          simple Linux inotify Python bindings
ii  python3-pymacaroons                           0.13.0-3                              all          Macaroon library for Python 3
ii  python3-pyqt5                                 5.14.1+dfsg-3build1                   amd64        Python 3 bindings for Qt5
ii  python3-reportlab                             3.5.34-1ubuntu1                       all          ReportLab library to create PDF documents using Python3
ii  python3-reportlab-accel:amd64                 3.5.34-1ubuntu1                       amd64        C coded extension accelerator for the ReportLab Toolkit
ii  python3-requests                              2.22.0-2ubuntu1                       all          elegant and simple HTTP library for Python3, built for human beings
ii  python3-requests-unixsocket                   0.2.0-2                               all          Use requests to talk HTTP via a UNIX domain socket - Python 3.x
ii  python3-rfc3339                               1.1-2                                 all          parser and generator of RFC 3339-compliant timestamps (Python 3)
ii  python3-rsa                                   4.0-3                                 all          Pure-Python RSA implementation (Python 3)
ii  python3-samba                                 2:4.11.6+dfsg-0ubuntu1.3              amd64        Python 3 bindings for Samba
ii  python3-secretstorage                         2.3.1-2ubuntu1                        all          Python module for storing secrets - Python 3.x version
ii  python3-setproctitle:amd64                    1.1.10-1ubuntu1                       amd64        Setproctitle implementation for Python 3
ii  python3-setuptools                            45.2.0-1                              all          Python3 Distutils Enhancements
ii  python3-simplejson                            3.16.0-2ubuntu2                       amd64        simple, fast, extensible JSON encoder/decoder for Python 3.x
ii  python3-sip                                   4.19.21+dfsg-1build1                  amd64        Python 3/C++ bindings generator runtime library
ii  python3-six                                   1.14.0-2                              all          Python 2 and 3 compatibility library (Python 3 interface)
ii  python3-soupsieve                             1.9.5+dfsg-1                          all          modern CSS selector implementation for BeautifulSoup (Python 3)
ii  python3-speechd                               0.9.1-4                               all          Python interface to Speech Dispatcher
ii  python3-sqlalchemy                            1.3.12+ds1-1ubuntu2                   all          SQL toolkit and Object Relational Mapper for Python 3
ii  python3-systemd                               234-3build2                           amd64        Python 3 bindings for systemd
ii  python3-talloc:amd64                          2.3.0-3ubuntu1                        amd64        hierarchical pool based memory allocator - Python3 bindings
ii  python3-tdb                                   1.4.2-3build1                         amd64        Python3 bindings for TDB
ii  python3-tinycss2                              1.0.2-1                               all          Low-level CSS parser (Python3 version)
ii  python3-tz                                    2019.3-1                              all          Python3 version of the Olson timezone database
ii  python3-unidecode                             1.1.1-3build1                         all          ASCII transliterations of Unicode text (Python 3 module)
ii  python3-uno                                   1:6.4.4-0ubuntu0.20.04.1              amd64        Python-UNO bridge
ii  python3-update-manager                        1:20.04.10.1                          all          python 3.x module for update-manager
ii  python3-uritemplate                           0.6-4                                 all          implementation of RFC6570 - Python 3.x
ii  python3-urllib3                               1.25.8-2                              all          HTTP library with thread-safe connection pooling for Python3
ii  python3-wadllib                               1.3.3-3build1                         all          Python 3 library for navigating WADL files
ii  python3-webencodings                          0.5.1-1ubuntu1                        all          Python implementation of the WHATWG Encoding standard
ii  python3-wheel                                 0.34.2-1                              all          built-package format for Python
ii  python3-xapp                                  2.0.1                                 all          Python 3 XApp library
ii  python3-xdg                                   0.26-1ubuntu1                         all          Python 3 library to access freedesktop.org standards
ii  python3-xkit                                  0.5.0ubuntu4                          all          library for the manipulation of xorg.conf files (Python 3)
ii  python3-xlib                                  0.23-2build1                          all          interface for Python 3 to the X11 protocol
ii  python3-yaml                                  5.3.1-1                               amd64        YAML parser and emitter for Python3
ii  python3-zeroconf                              0.24.4-0ubuntu1                       all          Pure Python implementation of multicast DNS service discovery (Python3)
rc  python3.6-minimal                             3.6.9-1~18.04ubuntu1                  amd64        Minimal subset of the Python language (version 3.6)
ii  python3.8                                     3.8.2-1ubuntu1.1                      amd64        Interactive high-level object-oriented language (version 3.8)
ii  python3.8-minimal                             3.8.2-1ubuntu1.1                      amd64        Minimal subset of the Python language (version 3.8)
kuehhe1@HP470:~$

wobei ich mir noch nicht sicher bin ob die installierten ( ii ) python2* Pakete:ii  python2                                       2.7.17-2ubuntu4                       amd64        interactive high-level object-oriented language (Python2 version)
ii  python2-minimal                               2.7.17-2ubuntu4                       amd64        minimal subset of the Python2 language
ii  python2.7                                     2.7.18~rc1-2                          amd64        Interactive high-level object-oriented language (version 2.7)
ii  python2.7-minimal                             2.7.18~rc1-2                          amd64        Minimal subset of the Python language (version 2.7)
hier weiter von Nöten sind, denn das UU-Wiki schreibt:
Zitat
Python 2
In den Ubuntu-Paketquellen ist auch Python 2 enthalten, in allen Ubuntu-Version in der Version 2.7, welches die letzte Python-2-Version ist. Der Support von Python 2 wurde am 1.1.2020 durch die Entwickler von Python komplett eingestellt. Da bei Ubuntu 18.04 LTS Python 2 in den main-Quellen ist, will sich Canonical (zusammen mit Debian) bis zum Supportende von 18.04 im April 2023 selber um Sicherheitspatches kümmern, sofern notwendig. Seit Ubuntu 19.10 ist das Python 2 Paket in den "universe" Quellen.

Es ist schon ein wenig Sísyphusarbeit von Nöten heraus zubekommen ob die gelisteten Pakete wirklich nicht mehr benötigt werden, Da hilft nur in Synaptik nachsehen welche aktuellere(n) Versione(n) bereits vorhanden sind. Alte (18.04) Versionen sind eigentlich obsolet, auch apt depends <programmname>und apt rdepends <programmname>helfen dabei dies zu ermitteln. Zwischen durch, also vor dem Löschen einiger Pakete, habe ich dann mit Timeshift einen Snapshot erstellen lassen und so die Liste langsam abgearbeitet.
Letztendlich sieht meine Liste so aus:
Akt Verw LM20 Anwend Paketquellen Fremde Pakete aktuell
Akt Verw LM20 Anwend Paketquellen Fremde Pakete aktuell
diese vier (4) Pakete sind definitiv als Fremdpaket (*.deb) installiert und erforderlich; bisher funktioniert noch Alles.
« Letzte Änderung: 14.07.2020, 10:40:48 von kuehhe1 »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #159 am: 14.07.2020, 10:36:48 »
Der 440er war bei mir installiert und wurde auch wieder neu beim Upgrade installiert. Das Grafik-PPA hatte ich entfernt.
Hätte ich am Besten auch vor dem Upgrade machen sollen. Also den 435er auf den 440er updaten (so schlimm ist es jetzt aber auch nicht). Sicher ne saubere Neuinstallation wäre wohl das Beste, allerdings hat hier im Thread jemand erwähnt, dass er bei einer Neuinstallation die nötigen Winederivate nicht mehr richtig installieren konnte (Link). Auch haben manche Repos/ppa's noch keine Focal-Version. Vielleicht mache ich trotzdem mal eine Neuinstallation.

Ist das für Grub denn problematisch 2x das Gleiche booten zu können (kein EFI, nur altes MBR)?

-volker-

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #160 am: 14.07.2020, 11:28:34 »
Vielen Dank @kuehhe1: sobald ich dazu komme, gehe ich das durch - eine Frage möglicherweise naiv zu python: könnte ich da nicht die sog. Fremdquellen/-pakete löschen lassen und dann python (gesamt) neu installieren?
Habe da aber nirgends eine klare Info gefunden, was alles über synaptic notwendig wäre bzw. welche Terminalbefehle python komplett installieren - noch die Frage, welche Version .... bei mir scheinen ja siehe oben python 2.7 und noch drei (!) phyton 3.x - Versionen auf.
Wenn ich das korrekt interpretiere (zB wenn ich ein Script öffnen will, bietet mir das System diese 4 Versionen zum Öffnen an  -  nichtinstallierte wird das System nicht anbieten .... (?)

Vielleicht kommt noch ein Input von den Spezialisten / Admins ("darf" man die direkt anschreiben?)

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #161 am: 14.07.2020, 11:46:25 »
eine Frage möglicherweise naiv zu python: könnte ich da nicht die sog. Fremdquellen/-pakete löschen lassen und dann python (gesamt) neu installieren?
da bin ich mir nicht sicher, Warte bitte auf die Infos von Python Erfahrenen..

Vielleicht kommt noch ein Input von den Spezialisten / Admins ("darf" man die direkt anschreiben?)
Wenn du weist wer der Spezialist für Python ist, versuchen....

Eine erneutes Installation von (Python) Paketen muss nicht zwingend im Terminal geschehen, z.B. mit:
apt install python3 --reinstall
Pakete lassen sich auch mit der Synaptic-Paketverwaltung erneut installieren. Dazu das Paket suchen [LUPE], mit Re.-Maus-Klick auf das ausgewählte Paket, im Kontext "Zum erneuten installieren vormerken" auswählen und den Button [Anwenden] anklicken.
« Letzte Änderung: 14.07.2020, 19:34:33 von kuehhe1 »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #162 am: 14.07.2020, 11:55:14 »
Was mir auffällt ist das ich nach dem Upgrade kein nvidia-prime Icon in der Leiste sehe und auch nicht hinzufügen kann.

Hab dazu ein eigenes Thema eröffnet: https://www.linuxmintusers.de/index.php?topic=62979.0
« Letzte Änderung: 14.07.2020, 14:52:10 von kuehhe1 »

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #163 am: 15.07.2020, 06:06:46 »
Hat so weit geklappt mit dem Upgrade.
Nur 2 Punkte sind mir aufgefallen:

Es gibt keinen Chromium mehr den ich als Zweitbrowser verwendet hatte.
Und bei der Systemüberwachung zeigt die "Netzwerk Chronik" absoluten Müll an, siehe den Thread https://www.linuxmintusers.de/index.php?topic=62888.0

Re: Upgrade Linux Mint 19.3 auf Linux Mint 20!
« Antwort #164 am: 15.07.2020, 09:06:55 »
Es gibt keinen Chromium mehr den ich als Zweitbrowser verwendet hatte.
Das hast du bestimmt in den Release Notes überlesen. ;)

Oder hier im Forum sind doch auch schon alle Varianten durchgespielt, wie man trotzdem an chromium kommt.